Results 1 to 6 of 6

Thread: zypper in vlc-codecs = Package 'vlc-codecs' not found.

  1. #1

    Default zypper in vlc-codecs = Package 'vlc-codecs' not found.

    This my steps:
    Code:
    sudo zypper addrepo -cfp 90 'https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_$releasever/' packman
    sudo zypper refresh
    sudo zypper dist-upgrade --from packman --allow-vendor-change
    sudo zypper install --from packman ffmpeg gstreamer-plugins-{good,bad,ugly,libav} libavcodec-full vlc-codecs
    and have error:
    Code:
    Package 'vlc-codecs' not found in specified repositories.
    and this with error:
    Code:
    sudo zypper in vlc-codecs
    [sudo] password for root: 
    Loading repository data...
    Reading installed packages...
    Package 'vlc-codecs' not found.
    Resolving package dependencies...
    Nothing to do.
    This is my repolist:
    Code:
     sudo zypper lr -u
    Repository priorities in effect:                                                    (See 'zypper lr -P' for details)
          90 (raised priority)  :  1 repository
          99 (default priority) :  6 repositories
    
    #  | Alias                     | Name                               | Enabled | GPG Check | Refresh | URI
    ---+---------------------------+------------------------------------+---------+-----------+---------+------------------------------------------------------------------------
     1 | openSUSE-Leap-15.3-1      | openSUSE-Leap-15.3-1               | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/distribution/leap/15.3/repo/oss/
     2 | packman                   | packman                            | Yes     | (r ) Yes  | Yes     | https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.3/
     3 | repo-debug                | Debug Repository                   | No      | ----      | ----    | http://download.opensuse.org/debug/distribution/leap/15.3/repo/oss/
     4 | repo-debug-non-oss        | Debug Repository (Non-OSS)         | No      | ----      | ----    | http://download.opensuse.org/debug/distribution/leap/15.3/repo/non-oss/
     5 | repo-debug-update-non-oss | Update Repository (Debug, Non-OSS) | No      | ----      | ----    | http://download.opensuse.org/debug/update/leap/15.3/non-oss/
     6 | repo-non-oss              | Non-OSS Repository                 | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/distribution/leap/15.3/repo/non-oss/
     7 | repo-oss                  | Main Repository                    | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/distribution/leap/15.3/repo/oss/
     8 | repo-source               | Source Repository                  | No      | ----      | ----    | http://download.opensuse.org/source/distribution/leap/15.3/repo/oss/
     9 | repo-update               | Main Update Repository             | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/update/leap/15.3/oss/
    10 | repo-update-non-oss       | Update Repository (Non-Oss)        | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/update/leap/15.3/non-oss/
    11 | teams                     | teams                              | Yes     | (r ) Yes  | Yes     | https://packages.microsoft.com/yumrepos/ms-teams
    Question: is this normal for now and when 15.3 is released, will this package appear ?

    Serg

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    31,273
    Blog Entries
    15

    Default Re: zypper in vlc-codecs = Package 'vlc-codecs' not found.

    Hi
    Should be there by the looks...
    https://pmbs.links2linux.de/package/...SUSE_Leap_15.3

    There is an issue (see packman Mailing List) https://lists.links2linux.de/piperma...il/016697.html
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3

    Default Re: zypper in vlc-codecs = Package 'vlc-codecs' not found.

    I added this repository and gave it priority 89
    Code:
    name=VideoLAN repo (SLEap_15.3)
    baseurl=http://download.videolan.org/SuSE/SLEap_15.3/
    after that it is possible to set vlc-codecs.

    at this time:
    Code:
    sudo zypper lr -u
    [sudo] password for root: 
    Repository priorities in effect:                                                              (See 'zypper lr -P' for details)
          89 (raised priority)  :  1 repository
          90 (raised priority)  :  1 repository
          99 (default priority) :  7 repositories
    
    #  | Alias                     | Name                               | Enabled | GPG Check | Refresh | URI
    ---+---------------------------+------------------------------------+---------+-----------+---------+------------------------------------------------------------------------
     1 | SLEap_15.3                | VideoLAN repo (SLEap_15.3)         | Yes     | (r ) Yes  | Yes     | http://download.videolan.org/SuSE/SLEap_15.3/ 
     2 | openSUSE-Leap-15.3-1      | openSUSE-Leap-15.3-1               | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/distribution/leap/15.3/repo/oss/
     3 | packman                   | packman                            | Yes     | (r ) Yes  | Yes     | https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.3/
     4 | repo-debug                | Debug Repository                   | No      | ----      | ----    | http://download.opensuse.org/debug/distribution/leap/15.3/repo/oss/
     5 | repo-debug-non-oss        | Debug Repository (Non-OSS)         | No      | ----      | ----    | http://download.opensuse.org/debug/distribution/leap/15.3/repo/non-oss/
     6 | repo-debug-update-non-oss | Update Repository (Debug, Non-OSS) | No      | ----      | ----    | http://download.opensuse.org/debug/update/leap/15.3/non-oss/
     7 | repo-non-oss              | Non-OSS Repository                 | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/distribution/leap/15.3/repo/non-oss/
     8 | repo-oss                  | Main Repository                    | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/distribution/leap/15.3/repo/oss/
     9 | repo-source               | Source Repository                  | No      | ----      | ----    | http://download.opensuse.org/source/distribution/leap/15.3/repo/oss/
    10 | repo-update               | Main Update Repository             | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/update/leap/15.3/oss/
    11 | repo-update-non-oss       | Update Repository (Non-Oss)        | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/update/leap/15.3/non-oss/
    12 | skype-stable              | skype (stable)                     | Yes     | (r ) Yes  | Yes     | https://repo.skype.com/rpm/stable/
    13 | teams                     | teams                              | Yes     | (r ) Yes  | Yes     | https://packages.microsoft.com/yumrepos/ms-teams

  4. #4
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    5,862

    Default AW: zypper in vlc-codecs = Package 'vlc-codecs' not found.

    Packman and Videolan Repos at same time is no good choice......
    Also on a Beta Distribution....

  5. #5

    Default Re: zypper in vlc-codecs = Package 'vlc-codecs' not found.

    Thank you.
    What repository do you recommend for now for installing vlc-codecs (leap15.3)?

  6. #6
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    31,273
    Blog Entries
    15

    Default Re: zypper in vlc-codecs = Package 'vlc-codecs' not found.

    Quote Originally Posted by skoltogyan View Post
    Thank you.
    What repository do you recommend for now for installing vlc-codecs (leap15.3)?
    Hi
    That would be none since it's a beta product, normally neither packman or videolan repositories since all packages are WiP. The idea is you would contact either the Packman or Videolan folks to advise if something is not working, or at a minimum follow the relevant mailing list for issues.

    If your not testing the development/unstable release (https://get.opensuse.org/testing), then suggest you stick with the released/stable version Leap 15.2...
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •